distance {raster} | R Documentation

## Distance

### Description

Calculate the distance, for all cells that are `NA`, to the nearest cell that is not `NA`.

The distance unit is in meters if the RasterLayer is not projected (`+proj=longlat`) and in map units (typically also meters) when it is projected.

### Usage

    ## S4 method for signature 'RasterLayer'
    distance(x, filename='', doEdge=TRUE, ...)

### Arguments

`x` | RasterLayer object
`filename` | Character. Filename for the output RasterLayer (optional)
`doEdge` | Logical. If `TRUE`, the `boundaries` function is called first. This may be efficient in cases where you compute the distance to large blobs. Calling `boundaries` determines the edge cells that matter for distance computation
`...` | Additional arguments as for `writeRaster`

### Value

RasterLayer

### See Also

`distanceFromPoints`, `gridDistance`, `pointDistance`

See the `gdistance` package for more advanced distances, and the `geosphere` package for great-circle distances (and more) between points in longitude/latitude coordinates.

### Examples

    r <- raster(ncol=36,nrow=18)
    r[] <- NA
    r[500] <- 1
    dist <- distance(r)
    #plot(dist / 1000)

[Package raster version 2.5-2 Index]